View disk space information

View disk space information
View disk space information

Retrieve disk space metrics and status for the root filesystem of the Tanzu Ops Manager appliance. Uses the same thresholds as the UI (recommended 50 GiB total, 10 GiB free; insufficient total when under 48 GiB).

Request
URI
GET
https://{opsmanager-installation}/api/v0/diagnostic/disk_space
COPY
Responses
200

OK

Returns DiskSpace of type(s) application/json
{
    "total_gigabytes": "number",
    "free_gigabytes": "number",
    "insufficient_disk_size": false,
    "insufficient_free_disk_space": false,
    "recommended_disk_size_gigabytes": 0,
    "recommended_free_disk_space_gigabytes": 0
}
number As integer As integer
total_gigabytes
Optional

Total disk size in GiB (root filesystem) rounded down to nearest integer.

number As integer As integer
free_gigabytes
Optional

Available free disk space in GiB rounded down to nearest integer.

boolean
insufficient_disk_size
Optional

True if total disk size is less than the minimum required.

boolean
insufficient_free_disk_space
Optional

True if free disk space is less than the minimum required.

integer
recommended_disk_size_gigabytes
Optional

Recommended total disk size in GiB.

integer
recommended_free_disk_space_gigabytes
Optional

Recommended free disk space in GiB.


400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


503

Disk space information could not be determined

Returns NestedErrorsResponseVariant of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v0/diagnostic/disk_space